package com.clx.performance.service.settle;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.model.settle.NetworkDriverAccount;
import com.clx.performance.model.settle.SettlementDriverDetail;
import com.clx.performance.param.app.NetworkDriverPageParam;
import com.clx.performance.param.pc.PageNetworkAccountInfoListParam;
import com.clx.performance.vo.app.APPNetworkDriverRunningWaterRecordVO;
import com.clx.performance.vo.pc.NetworkDriverRunningWaterRecordVO;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;

/**
 * @author kavin
 * Date 2023-12-19
 * Time 11:34
 */
public interface NetworkDriverRunningWaterRecordService {

    IPage<NetworkDriverRunningWaterRecordVO> networkDriverRunningWaterRecordList(PageNetworkAccountInfoListParam param);

    void generateSettlementRunningWaterRecord(SettlementDriverDetail settlementDriverDetail);

    void generateCaseOutFrozenRunningWaterRecord(SettlementDriverDetail settlementDriverDetail);

    void generateCaseOutSuccessRunningWaterRecord(SettlementDriverDetail settlementDriverDetail);

    void generateCaseOutSuccessRunningWaterRecord1(SettlementDriverDetail settlementDriverDetail);

    void generateNetworkDriverRunningWaterRecord(SettlementDriverDetail settlementDriverDetail, Integer runningWaterType);

    IPage<APPNetworkDriverRunningWaterRecordVO> pageFrozenList(NetworkDriverPageParam param);

    IPage<APPNetworkDriverRunningWaterRecordVO> runningWaterList(NetworkDriverPageParam param);

    void generateNetworkCaseOutRecord(SettlementDriverDetail settlementDriverDetail);
}
